<?xml version="1.0" encoding="ISO-8859-1"?> 
<xsl:stylesheet version="1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="no" encoding="iso-8859-1"/>

<xsl:template match="/"> 
  <html>
    <head>
  	<title>Pizzera Al Capone</title>
	<link rel="stylesheet" href="pizzeria.css" />
    </head>

  <body>
   <h1>Pizzas del Restaurante Al Capone</h1>
   <xsl:apply-templates mode="cabecera" />
   <xsl:apply-templates />
  </body>
 </html>
</xsl:template> 

<xsl:template match="pizzas" mode="cabecera">
 <div class="header">Tipos de pizza: 
 <xsl:for-each select="pizza">
 <xsl:number value="position()" format="1. "/>
 <xsl:element name="a">
   <xsl:attribute name="href">#P<xsl:number level="single"/></xsl:attribute>
    <xsl:value-of select="@nombre"/>
   </xsl:element> |
 </xsl:for-each>
 </div>
<hr/>
</xsl:template>

<xsl:template match="pizzas">
<table border="1">
<caption>Tipos de Pizzas</caption>
<tr>
<th>Pizza</th>
<th>Ingredientes</th>
<th>Precio</th>
</tr>
<xsl:for-each select="//pizza">
 <xsl:sort data-type="number" select="@precio" />
 <xsl:apply-templates select="."/>
</xsl:for-each>
</table>
<p>Media de precios =
 <xsl:value-of select="sum(//@precio) div count(//@precio)" />
</p>
</xsl:template>

<xsl:template match="pizza">
<tr>
<td>
<xsl:element name="a">
  <xsl:attribute name="name">P<xsl:number level="single"/>
  </xsl:attribute>
</xsl:element>
<xsl:value-of select="@nombre"/>
</td>
<td>
<xsl:apply-templates />
</td>
<td>
<xsl:value-of select="@precio" />
</td>
</tr>
</xsl:template>

<xsl:template match="ingrediente">
<xsl:value-of select="@nombre" />
</xsl:template>

</xsl:stylesheet>




